#include <SPI.h>
#include <Wire.h>
#include <Adafruit_BME280.h>
#include <Adafruit_SH1106.h>

// SPI pins:
#define OLED_MOSI  11
#define OLED_CLK   13
#define OLED_DC    8
#define OLED_CS    10
#define OLED_RESET 9
Adafruit_SH1106 display(OLED_MOSI, OLED_CLK, OLED_DC, OLED_RESET, OLED_CS);

Adafruit_BME280 bme; // I2C

#if (SH1106_LCDHEIGHT != 64)
#error("Height incorrect, please fix Adafruit_SH1106.h!");
#endif

void setup()   {                
 
  // by default, we'll generate the high voltage from the 3.3v line internally
  display.begin(SH1106_SWITCHCAPVCC);

  bool status;
  status = bme.begin(); 
  if (!status) {
        display.print("Not a valid BME280, check wiring!");
        while (1);
     }

  // Clear the buffer.
  display.clearDisplay();
}


void loop() {
  display.clearDisplay();
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.setCursor(0,0);

  display.print(bme.readTemperature());
  display.print(" ");
  display.print((char)247);
  display.println("C");
  display.display();
  delay(1000); 
}
